Issues

ZF-7630: Zend_Validate_Date doesn't accept Zend_Date object

Issue Type: Improvement Created: 2009-08-18T23:18:50.000+0000 Last Updated: 2009-08-24T13:34:19.000+0000 Status: Resolved Fix version(s): - 1.9.2 (25/Aug/09)

Reporter: Edi Skraba (edspiner) Assignee: Thomas Weidner (thomas) Tags: - Zend_Validate

Related issues: - ZF-7677

Attachments:

Description

This is a compatibility issue. Zend_Validate_Date doesn't accept Zend_Date object but it did in version 1.8.X

Comments

Posted by Thomas Weidner (thomas) on 2009-08-18T23:47:09.000+0000

The API states that isValid accepts "strings" and nothing more. Additionally a date object would not have passed the preg_match check.

Posted by Thomas Weidner (thomas) on 2009-08-18T23:47:52.000+0000

Changing from Bug to Improvement

Posted by Thomas Weidner (thomas) on 2009-08-20T13:14:05.000+0000

Added with r17695

Have you found an issue?

See the Overview section for more details.

Copyright

© 2006-2016 by Zend, a Rogue Wave Company. Made with by awesome contributors.

This website is built using zend-expressive and it runs on PHP 7.

Contacts